#See https://aka.ms/containerfastmode to understand how Visual Studio uses this Dockerfile to build your images for faster debugging.

FROM mcr.microsoft.com/dotnet/aspnet:5.0.3-buster-slim-amd64 AS base
#FROM mcr.microsoft.com/dotnet/core/aspnet:3.1-buster-slim AS base
WORKDIR /app
EXPOSE 80

RUN apt-get -y update
RUN apt-get -y install nginx

RUN mkdir /app/Front
RUN mkdir /app/API

WORKDIR /app/Front
COPY Front/skydivelogs-app/dist .

WORKDIR /app/API
COPY Back/dist .

COPY start-docker.sh /start-docker.sh
RUN chmod +x /start-docker.sh

RUN update-rc.d nginx defaults

COPY nginx.conf /etc/nginx/sites-available/default

VOLUME /app/API/Data
VOLUME /app/Front/config

CMD ["/start-docker.sh"]